declare @entityId uniqueidentifier, @securityRoleId uniqueidentifier, @operationId uniqueidentifier, @scopeId uniqueidentifier, @counter numeric;

set @securityRoleId = (select securityroleid from EbsMetadata.SecurityRole where Name = 'B2C');
set @scopeId = (select securityscopeid from EbsMetadata.SecurityScope where Name = 'Organization');

if @securityRoleId is not null
begin
	set @entityId = (select entityid from EbsMetadata.Entity where Name = 'FTOS_CMB_Currency');
	set @operationId = (select securityoperationid from EbsMetadata.SecurityOperation where Name = 'Read');
	set @counter = (select count(*) from EbsMetadata.SecurityRoleItem where EntityId = @entityId and SecurityRoleId = @securityRoleId
	and SecurityOperationId = @operationId and SecurityScopeId = @scopeId);
	if @counter = 0
		insert into EbsMetadata.SecurityRoleItem (securityroleitemid, EntityId, SecurityRoleId, SecurityOperationId, SecurityScopeId) 
		values (NEWID(), @entityId, @securityRoleId, @operationId, @scopeId);

	set @entityId = (select entityid from EbsMetadata.Entity where Name = 'FTOS_BP_PaymentScheduleType');
	set @operationId = (select securityoperationid from EbsMetadata.SecurityOperation where Name = 'Read');
	set @counter = (select count(*) from EbsMetadata.SecurityRoleItem where EntityId = @entityId and SecurityRoleId = @securityRoleId
	and SecurityOperationId = @operationId and SecurityScopeId = @scopeId);
	if @counter = 0
		insert into EbsMetadata.SecurityRoleItem (securityroleitemid, EntityId, SecurityRoleId, SecurityOperationId, SecurityScopeId) 
		values (NEWID(), @entityId, @securityRoleId, @operationId, @scopeId);

	set @entityId = (select entityid from EbsMetadata.Entity where Name = 'FTOS_BNKAP_Purpose');
	set @operationId = (select securityoperationid from EbsMetadata.SecurityOperation where Name = 'Read');
	set @counter = (select count(*) from EbsMetadata.SecurityRoleItem where EntityId = @entityId and SecurityRoleId = @securityRoleId
	and SecurityOperationId = @operationId and SecurityScopeId = @scopeId);
	if @counter = 0
		insert into EbsMetadata.SecurityRoleItem (securityroleitemid, EntityId, SecurityRoleId, SecurityOperationId, SecurityScopeId) 
		values (NEWID(), @entityId, @securityRoleId, @operationId, @scopeId);

	set @entityId = (select entityid from EbsMetadata.Entity where Name = 'FTOS_BARET_LoanDestination');
	set @operationId = (select securityoperationid from EbsMetadata.SecurityOperation where Name = 'Read');
	set @counter = (select count(*) from EbsMetadata.SecurityRoleItem where EntityId = @entityId and SecurityRoleId = @securityRoleId
	and SecurityOperationId = @operationId and SecurityScopeId = @scopeId);
	if @counter = 0
		insert into EbsMetadata.SecurityRoleItem (securityroleitemid, EntityId, SecurityRoleId, SecurityOperationId, SecurityScopeId) 
		values (NEWID(), @entityId, @securityRoleId, @operationId, @scopeId);

	set @entityId = (select entityid from EbsMetadata.Entity where Name = 'FTOS_CMB_Country');
	set @operationId = (select securityoperationid from EbsMetadata.SecurityOperation where Name = 'Read');
	set @counter = (select count(*) from EbsMetadata.SecurityRoleItem where EntityId = @entityId and SecurityRoleId = @securityRoleId
	and SecurityOperationId = @operationId and SecurityScopeId = @scopeId);
	if @counter = 0
		insert into EbsMetadata.SecurityRoleItem (securityroleitemid, EntityId, SecurityRoleId, SecurityOperationId, SecurityScopeId) 
		values (NEWID(), @entityId, @securityRoleId, @operationId, @scopeId);

	set @entityId = (select entityid from EbsMetadata.Entity where Name = 'City');
	set @operationId = (select securityoperationid from EbsMetadata.SecurityOperation where Name = 'Read');
	set @counter = (select count(*) from EbsMetadata.SecurityRoleItem where EntityId = @entityId and SecurityRoleId = @securityRoleId
	and SecurityOperationId = @operationId and SecurityScopeId = @scopeId);
	if @counter = 0
		insert into EbsMetadata.SecurityRoleItem (securityroleitemid, EntityId, SecurityRoleId, SecurityOperationId, SecurityScopeId) 
		values (NEWID(), @entityId, @securityRoleId, @operationId, @scopeId);
end