declare @formulaName nvarchar(max), @statusId uniqueidentifier, @statusClosedId uniqueidentifier;
SET @statusId = ebs.GetBWStatusId('Draft','FTOS_CALC_Formula');
SET @statusClosedId = ebs.GetBWStatusId('Closed','FTOS_CALC_Formula');

declare formula_cursor cursor for 
select f.Name from EbsMetadata.ApplicationCI aci
join EbsMetadata.FTOS_CALC_Formula f on aci.RecordId = f.FTOS_CALC_Formulaid
join EbsMetadata.Application ap on aci.ApplicationId = ap.applicationid
where ap.Code = 'BNPL-SDK';

open formula_cursor
fetch next from formula_cursor into @formulaName
while @@FETCH_STATUS = 0 
begin
	update EbsMetadata.FTOS_CALC_Formula
	set BusinessStatusId = @statusClosedId
	where Name = @formulaName and BusinessStatusId = @statusId;
	fetch next from formula_cursor into @formulaName
end
close formula_cursor
deallocate formula_cursor