declare @optionSetId uniqueidentifier, @statusId uniqueidentifier, @count numeric;
set @optionSetId = (select OptionSetid from EbsMetadata.OptionSet where Name = 'FTOS_BP_InterestCalculationType');
set @statusId = (select osi.OptionSetItemid from EbsMetadata.OptionSetItem osi join EbsMetadata.OptionSet os on osi.OptionSetId = os.OptionSetid where os.Name = 'System State' and osi.Name = 'Active')

set @count = (select count(*) from EbsMetadata.OptionSetItem where OptionSetId = @optionSetId and Name = '14Days')
if @count = 0 
	insert into EbsMetadata.OptionSetItem (OptionSetItemid, Name, OptionSetId, value, StatusId, OrderIdx, DisplayName, [DisplayName$ro-RO])
	values (NEWID(), '14Days', @optionSetId, 10, @statusId, 10, '14Days', '14Days');

set @count = (select count(*) from EbsMetadata.OptionSetItem where OptionSetId = @optionSetId and Name = '15Days')
if @count = 0 
	insert into EbsMetadata.OptionSetItem (OptionSetItemid, Name, OptionSetId, value, StatusId, OrderIdx, DisplayName, [DisplayName$ro-RO])
	values (NEWID(), '15Days', @optionSetId, 9, @statusId, 9, '15Days', '15Days');