declare @actionId uniqueidentifier, @securityRoleId uniqueidentifier, @count numeric;
set @securityRoleId = (select securityroleid from EbsMetadata.SecurityRole where Name = 'B2C');

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_BP_GetInterestDetail');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_BP_Simulate');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DCS_Liveness_Check');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DCS_Liveness_GetKeys');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DCS_Liveness_SessionToken');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_ComponentName_GetByQueryEndpoint');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_FaceRecognition_Endpoint');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_FlowProcessorSettingsByType');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_GenerateAndSendOTPxChannel');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_GenerateOTP');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_GetSectionNumberByName');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_InsertNewOTP');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_OCR_CheckPhoto');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_OCR_Endpoint');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_OTP_MakeAttempt');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_OTP_ResendOTPxChannel');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_OTP_SetChannelFailed');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_OTP_SetFailedOTPxChannel');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_ProcessorSettings_GetByQueryEndpoint');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoStreaming_ConnectToken');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoStreaming_Endpoint');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_Onfido_CreateCheck');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_Onfido_Full');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_Onfido_Ocr');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_Onfido_WebHook');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoRecording');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoRecording_ConnectToken');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoRecording_Credentials');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoRecording_GetArchives');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoRecording_GetProxy_Endpoint');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_DFP_VideoRecording_Log');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);