declare @roleName nvarchar(max), @counter numeric, @organizationId uniqueidentifier;

set @roleName = 'Customer';

set @organizationId = (select OrganizationId from EbsMetadata.Organization where SchemaName = 'ebs');
set @counter = (select count(*) from EbsMetadata.SecurityRole where Name = @roleName);
if @counter = 0
	insert into EbsMetadata.SecurityRole (securityroleid, Name, OrganizationId, IsSystemRecord)
	values (NEWID(),@roleName, @organizationId, 0);

set @roleName = 'Merchant';

set @organizationId = (select OrganizationId from EbsMetadata.Organization where SchemaName = 'ebs');
set @counter = (select count(*) from EbsMetadata.SecurityRole where Name = @roleName);
if @counter = 0
	insert into EbsMetadata.SecurityRole (securityroleid, Name, OrganizationId, IsSystemRecord)
	values (NEWID(),@roleName, @organizationId, 0);