declare @actionId uniqueidentifier, @securityRoleId uniqueidentifier, @count numeric;

set @securityRoleId = (select securityroleid from EbsMetadata.SecurityRole where Name = 'B2C');

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_EXTD_POST_AddressesAutocomplete');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);

set @actionId = (select actionid from EbsMetadata.Action where Name = 'FTOS_EXTD_POST_AddressesSearch');
set @count = (select count(*) from EbsMetadata.ActionXSecurityRole where actionid = @actionId and securityroleid = @securityRoleId);
if @count = 0 and @actionId is not null
	insert into EbsMetadata.ActionXSecurityRole (ActionXSecurityRoleid, actionid, securityroleid) values (NEWID(), @actionId, @securityRoleId);